summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Lockywolf2023-12-06 04:19:20 +0100
committer Willy Sudiarto Raharjo2023-12-06 05:01:07 +0100
commit253263183c188de87aaf0017537505022c4da3ad (patch)
tree0887e23c04d6dcb7b9ba4c85e4ed50c8ff11fa0f /office
parent56bbb4542244b1c7d17bfbbbdb198885ad422f4b (diff)
downloadslackbuilds-253263183c188de87aaf0017537505022c4da3ad.tar.gz
office/omegat: Added (translation memory application).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/omegat/README16
-rw-r--r--office/omegat/doinst.sh9
-rw-r--r--office/omegat/omegat.SlackBuild127
-rw-r--r--office/omegat/omegat.info10
-rw-r--r--office/omegat/slack-desc19
5 files changed, 181 insertions, 0 deletions
diff --git a/office/omegat/README b/office/omegat/README
new file mode 100644
index 0000000000..bb0c100312
--- /dev/null
+++ b/office/omegat/README
@@ -0,0 +1,16 @@
+OmegaT is a translation memory application that works on Windows, macOS,
+Linux… It is a tool intended for professional translators. It does not
+translate for you! (Software that does this is called "machine
+translation". OmegaT can interface to some machine translation programs
+or Internet services)
+
+
+- Fuzzy matching
+- Match propagation
+- Simultaneous processing of multiple-file projects
+- Simultaneous use of multiple translation memories
+- User glossaries with recognition of inflected forms
+
+This is a binary repack.
+
+OmegaT ships its own JRE.
diff --git a/office/omegat/doinst.sh b/office/omegat/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/office/omegat/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/omegat/omegat.SlackBuild b/office/omegat/omegat.SlackBuild
new file mode 100644
index 0000000000..57ea5ae567
--- /dev/null
+++ b/office/omegat/omegat.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/bash
+
+# Slackware build script for omegat
+
+# Copyright 2023, Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=omegat
+TARNAM=OmegaT
+VERSION=${VERSION:-6.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+ printf "Unsupported architecture: %s.\n" "$ARCH" 1>&2
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ printf "Unsupported architecture: %s.\n" "$ARCH" 1>&2
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ printf "Unsupported architecture: %s.\n" "$ARCH" 1>&2
+ exit 1
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ printf "Unsupported architecture: unknown.\n" 1>&2
+ exit 2
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/${TARNAM}_${VERSION}_Linux_64.tar.bz2
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -d -m755 $PKG/opt
+mv ${TARNAM}_${VERSION}_Linux_64 $PKG/opt
+
+install -d -m755 "$PKG"/usr/bin
+
+(
+ cd $PKG/usr/bin
+ ln -sr ../../opt/${TARNAM}_${VERSION}_Linux_64/OmegaT ./
+)
+
+install -Dm644 $PKG/opt/${TARNAM}_${VERSION}_Linux_64/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+install -Dm644 $PKG/opt/${TARNAM}_${VERSION}_Linux_64/images/$TARNAM.svg $PKG/usr/share/icons/hicolor/scalable/$PRGNAM.svg
+install -Dm644 $PKG/opt/${TARNAM}_${VERSION}_Linux_64/images/$TARNAM.svg $PKG/usr/share/pixmaps/$PRGNAM.svg
+
+# uncomment if your know how to install raster icons
+icon_sizes=( 32 128 256 512 )
+for size in "${icon_sizes[@]}"
+do
+ mkdir -p $PKG/usr/share/icons/hicolor/$size\x$size/apps/
+ cp $PKG/opt/${TARNAM}_${VERSION}_Linux_64/images/OmegaT.iconset/icon_$size\x$size.png $PKG/usr/share/icons/hicolor/$size\x$size/apps/$PRGNAM.png
+done
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $PKG/opt/${TARNAM}_${VERSION}_Linux_64/{OmegaT-license.txt,authors.txt,changes.txt,doc-license.txt,readme.txt} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/omegat/omegat.info b/office/omegat/omegat.info
new file mode 100644
index 0000000000..a2f3130339
--- /dev/null
+++ b/office/omegat/omegat.info
@@ -0,0 +1,10 @@
+PRGNAM="omegat"
+VERSION="6.0.0"
+HOMEPAGE="https://omegat.org/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://phoenixnap.dl.sourceforge.net/project/omegat/OmegaT%20-%20Standard/OmegaT%206.0.0/OmegaT_6.0.0_Linux_64.tar.bz2"
+MD5SUM_x86_64="f91083db3377a5cd5aa3388c63027532"
+REQUIRES=""
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.omegat_2023-12-05@lockywolf.net"
diff --git a/office/omegat/slack-desc b/office/omegat/slack-desc
new file mode 100644
index 0000000000..7e87b751c0
--- /dev/null
+++ b/office/omegat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+omegat: omegat (Computer-Assisted Translation)
+omegat:
+omegat: OmegaT is a translation memory application that works on Linux. It
+omegat: is a tool intended for professional translators. It does not
+omegat: translate for you! OmegaT can interface to some machine translation
+omegat: programs or Internet services.
+omegat:
+omegat:
+omegat:
+omegat:
+omegat: